# Poco::Data::SQLite

# class Connector

Library: Data/SQLite
Package: SQLite
Header: Poco/Data/SQLite/Connector.h

## Description

Connector instantiates SqLite SessionImpl objects.

## Inheritance

Direct Base Classes: Poco::Data::Connector

All Base Classes: Poco::Data::Connector

## Member Summary

Member Functions: createSession, enableSharedCache, enableSoftHeapLimit, name, registerConnector, unregisterConnector

Inherited Functions: createSession, name

## Constructors

### Connector

Connector();

Creates the Connector.

## Destructor

### ~Connector

~Connector();

Destroys the Connector.

## Member Functions

### createSession

Poco::AutoPtr < Poco::Data::SessionImpl > createSession(
const std::string & connectionString,
std::size_t timeout = Poco::Data::SessionImpl::LOGIN_TIMEOUT_DEFAULT
);

Creates a SQLite SessionImpl object and initializes it with the given connectionString.

### enableSharedCache

static void enableSharedCache(
bool flag = true
);

Enables or disables SQlite shared cache mode (see http://www.sqlite.org/sharedcache.html for a discussion).

### enableSoftHeapLimit

static void enableSoftHeapLimit(
int limit
);

Sets a soft upper limit to the amount of memory allocated by SQLite. For more information, please see the SQLite sqlite_soft_heap_limit() function (http://www.sqlite.org/c3ref/soft_heap_limit.html).

### name

const std::string & name() const;

Returns the name associated with this connector.

See also: Poco::Data::Connector::name()

### registerConnector

static void registerConnector();

Registers the Connector under the Keyword Connector::KEY at the Poco::Data::SessionFactory.

### unregisterConnector

static void unregisterConnector();

Unregisters the Connector under the Keyword Connector::KEY at the Poco::Data::SessionFactory.

## Variables

### KEY

static const std::string KEY;

Keyword for creating SQLite sessions ("sqlite").